Subject: Re: bug#19809: 24.4; f90-beginning-of-subprogram wrong behavior with string continuation

From: Raul Laasner <[email-masked]>
Date: Wed, 11 Feb 2015 21:33:37 +0200

I stand corrected. Indeed, what I said before only applies to a
noncharacter context.

On Wed, Feb 11, 2015 at 9:09 PM, Glenn Morris <[email-masked]> wrote:

> Raul Laasner wrote:
>
> > I don't think the standard requires the second '&', although it is
> > recommended.
>
> By my reading, it does require it.
> Quoting from FCD 1539-1:
>
>     3.3.2.4 Free form statement continuation:
>
>     [...]
>
>     If a character context is to be continued, an "&" shall be the last
>     nonblank character on the line and shall not be followed by commentary.
>     There shall be a later line that is not a comment; an "&" shall be the
>     first nonblank character on the next such line and the statement
>     continues with the next character following that "&".
>
> Maybe it has changed in newer version of the standard.
>

-- 
Raul Laasner
Institute of Physics
University of Tartu
Ravila 14c, 50411, Estonia
e-mail: [email-masked]
cell: (+372)5182268